## cod-tools 3.6.0+dfsg

=== src/components/codcif/Makefile ===
#---*- Makefile -*-------------------------------------------------------------
#$Author: andrius $
#$Revision: 7632 $
#$Date: 2019-12-27 15:36:40 +0200 (Fri, 27 Dec 2019) $
#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.6.0/src/components/codcif/Makefile $
#------------------------------------------------------------------------------

MAKECONF_FILES = ${filter-out %~, ${wildcard Makeconf*}}

ifneq ("${MAKECONF_FILES}","")
include ${MAKECONF_FILES}
endif

#
# ${SRC_DIR} contains C sources to be compiled into the
# local library ${LOCAL_LIB}
#

ifeq ("${SRC_DIR}","")
SRC_DIR = .
endif

#
# ${OBJDIR} is where the compiled object files should be stored
#

OBJDIR = ./obj

#
# GEN_DIR will contain any .c and .h files that are automatically
# generated by scripts or makefiles
#

GEN_DIR = ./generated

#
# Each .c file in the ./programs/ directory is considered to be a source
# for some main program (i.e. contains main() function).  It will be
# compiled and linked with all .c files in directories specified by
# the OTHER_DIRS variable. OTHER_DIRS should be defined in the
# Makeconf file in each directory.
#

PROGDIR    = ${SRC_DIR}/programs
PRG_FILES  = ${wildcard ${PROGDIR}/*.c}
EXE_FILES  = ${patsubst %.c, %, ${notdir ${PRG_FILES}}}
PRG_SOURCE = ${notdir ${PRG_FILES}}
PRG_DIRS   = ${dir ${PRG_FILES}}
PRG_DEPEND = ${join ${PRG_DIRS}, ${PRG_SOURCE:%.c=.%.d}}

# The file that holds version number of the package:

VFILE = .version

VERSION  := $(shell grep -v "^\#" ${VFILE})
SO_MAJOR := $(shell echo ${VERSION} | cut -d . -f 1)
SO_MINOR := $(shell echo ${VERSION} | cut -d . -f 2-)

# The header file that holds version number of the package:

VERSION_H = version.h

#
# The first program (alphabetically) in the ./programs directory is a
# main executable (target). It will be run for every file in ./inputs
# when 'make test' is invoked.
#

TARGET = ${firstword ${EXE_FILES}}

#
# All .c files in the current directory will be compiled and the object
# files put into the local library; the library in the directory
# 'dir' will be called 'libdir.a'
#

LOCAL_CFILES := ${notdir ${wildcard ${SRC_DIR}/*.c}}
LOCAL_CFILES := ${filter-out %.tab.c lex.yy.c %.lex.c, ${LOCAL_CFILES}}
LOCAL_OBJS    = ${LOCAL_CFILES:%.c=${OBJDIR}/%.o} ${wildcard %.lex.o %.tab.o}
LOCAL_DEPENDS = ${LOCAL_CFILES:%.c=.%.d}

PACKAGE := ${notdir ${shell pwd}}
LIBNAME := ${addprefix lib, ${PACKAGE}}

LOCAL_LIB := ${addprefix lib/, ${addsuffix .a, ${LIBNAME} }}
LOCAL_SO  := ${addprefix lib/, ${addsuffix .so.${VERSION}, ${LIBNAME} }}

#
# ./testprogs directory contains test drivers, each of them containing
# main() program that must be linked with all .o files from all .c
# sources from ${OTHER_DIRS}.
#
# Each test driver will then be run without arguments, and its output
# will be compared with the sample output in ./testout directory
#

TST_PRG_DIR  = ./testprogs
TST_EXE_DIR  = ./testbin

TST_SOURCES   = ${wildcard ${TST_PRG_DIR}/*.c}
TST_DRIVERS   = ${patsubst %.c, ${TST_EXE_DIR}/%, ${notdir ${TST_SOURCES}}}
TST_BASENAMES = ${notdir ${TST_SOURCES}}
TST_DIRS      = ${dir ${TST_SOURCES}}
TST_DEPEND    = ${join ${TST_DIRS}, ${TST_BASENAMES:%.c=.%.d}}

#
# All other .c files will be compiled to objects in the current
# directory, and used for linking
#

vpath %.c ${SRC_DIR} ${OTHER_DIRS}
vpath %.h ${SRC_DIR} ${OTHER_DIRS}

VPATH = ${OTHER_DIRS}

OTHER_CFILES := ${notdir ${wildcard ${addsuffix /*.c, ${OTHER_DIRS}}}}
OTHER_CFILES := ${filter-out %.tab.c lex.yy.c %.lex.c, ${OTHER_CFILES}}
OTHER_OBJS    = ${OTHER_CFILES:%.c=${OBJDIR}/%.o}
OTHER_DEPENDS = ${OTHER_CFILES:%.c=.%.d}

DEPEND_FILES = ${LOCAL_DEPENDS} ${OTHER_DEPENDS} ${PRG_DEPEND} ${TST_DEPEND}
DEL_OBJS     = ${LOCAL_OBJS} ${OTHER_OBJS}

#------------------------------------------------------------------------------
#
# Executables:
#

CC    = gcc
CCVER = ${CC} --version
GCC   = gcc
YACC  = bison -y

INCLUDES = ${sort -I. ${addprefix -I, ${SRC_DIR} ${OTHER_DIRS} ${LIB_DIRS}}}

## LDFLAGS  = ${addprefix -L, ${sort ${LIB_DIRS}}}
## LIBFLAGS = ${addprefix -l, ${LIB_NAMES}}

## LDFLAGS  = -L/usr/local/lib
LIBFLAGS = -lm

SVN_VERSION := $(shell svnversion)

ifeq (${CC},gcc)
    CFLAGS = -Wall -Wsign-compare -g ${OPTFLAGS} -DYYDEBUG=1 -D_YACC_ ${INCLUDES} -fPIC \
	-DSVN_VERSION="\"${SVN_VERSION}\"" \
	${EXTRA_CFLAGS}
else
    CFLAGS = ${OPTFLAGS} -DYYDEBUG=1 -D_YACC_ ${INCLUDES} \
	-DSVN_VERSION="\"${SVN_VERSION}\"" \
	${EXTRA_CFLAGS}
endif

#------------------------------------------------------------------------------

YYFILES = ${wildcard *.y}
YYOBJ   = ${YYFILES:%.y=${OBJDIR}/%.tab.o}

LINK_OBJ_FILES = ${YYOBJ} ${OTHER_OBJS}

#------------------------------------------------------------------------------

.PRECIOUS: %.o %.c %.lex.c %.tab.c %.a

.PHONY: all lib libs clean distclean cleanAll FORCE

all: ${LOCAL_LIB} ${LOCAL_SO} ${EXE_FILES} ${TST_DRIVERS}

lib libs: ${LIB_DIRS}

${LIB_DIRS}: FORCE
	${MAKE} -C $@

FORCE:;

#------------------------------------------------------------------------------

# ${LIB_DIRS} variable contains a list of directories, each of them
# containing a library that must be linked with programs in the
# current directory. The library in the directory 'dir' must be called
# 'dir/libdir.a'. We assume that the 'dir' directory contains a Makefile
# to build a corresponding library, and simply do 'make -C dir libdir.a'
# if the library does not exist. If the library exists, we will use
# whatever it contains, without checking its dependencies. To build the
# up-to-date libraries in ${LB_DIRS} directories use 'make libs' command.
# We omit the check of library dependencies just for speed; if the library
# is actively changed and must be constantly recompiled, one should use
# ${OTHER_DIRS} variable to include the *.c files of that directory
# into the compilation list.

LIB_NAMES := ${notdir ${LIB_DIRS}}
LIB_FILES := ${addprefix /lib/lib, ${addsuffix .a, ${LIB_NAMES} }}
LIB_FILES := ${join ${LIB_DIRS}, ${LIB_FILES} }

%.a:
	${MAKE} -C $(dir $(patsubst %/,%,$(dir $@))) \
		$(notdir $(patsubst %/,%,$(dir $@)))/$(notdir $@)

#------------------------------------------------------------------------------
#
# How to build library in the current directory
#

${LOCAL_LIB}: ${LOCAL_OBJS} ${YYOBJ}
	ar cr ${LOCAL_LIB} $^

${LOCAL_SO}: ${LOCAL_OBJS} ${YYOBJ}
	${CC} -shared -Xlinker -soname=${LIBNAME}.so.${SO_MAJOR} -o $@ $^ -lm

#------------------------------------------------------------------------------

MAKELOCAL_FILES = ${filter-out %~, ${wildcard Makelocal*}}

ifneq ("${MAKELOCAL_FILES}","")
include ${MAKELOCAL_FILES}
endif

include ${DEPEND_FILES}

.%.d: %.c
	${GCC} ${CFLAGS} -M -MG \
	$< | sed -e 's,^${notdir $*}.o:,${OBJDIR}/$*.o:,' > $@

#------------------------------------------------------------------------------

${OBJDIR}/%.o: %.c
	${CC} ${CFLAGS} -c $< -o $@

%: ${PROGDIR}/%.c ${LINK_OBJ_FILES} ${LOCAL_LIB} ${LIB_FILES} ${VERSION_H}
	${CC} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LIBFLAGS}

${TST_EXE_DIR}/%: ${TST_PRG_DIR}/%.c ${LINK_OBJ_FILES} \
                  ${LOCAL_LIB} ${LIB_FILES}
	${CC} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LIBFLAGS}

%.tab.c %.tab.h: %.y 
	${YACC} -v -d -p ${*:%_grammar=%} --file-prefix $* $<

#------------------------------------------------------------------------------

# When 'make test' is invoked, a TARGET executable will be run for
# every file in inputs that has extension ${EXT}. The outputs will be
# compared with the sample outputs files in ./outputs/*.out, and any
# differences will be recorded in ./outputs/*.diff #

TEST_DIR = ./tests
OUTPUT_DIR = ./outputs

TEST_FILES = ${wildcard ${TEST_DIR}/*${EXT}}
RES_FILES  = ${patsubst ${TEST_DIR}/%${EXT},${OUTPUT_DIR}/%.out,${TEST_FILES}}
DIFF_FILES = ${patsubst ${TEST_DIR}/%${EXT},${OUTPUT_DIR}/%.diff,${TEST_FILES}}

#
# Outputs and diffs from the standalone test drivers
#

## TST_OUT_DIR = ./testout

TST_OUTPUTS = ${addprefix ${TST_OUT_DIR}/, ${TST_BASENAMES:%.c=%.out}}
TST_DIFFS   = ${addprefix ${TST_OUT_DIR}/, ${TST_BASENAMES:%.c=%.diff}}

#
# Outputs and tests from the shell-driven tests
#

SHELL_TSTDIR = ./tests
SHELL_OUTDIR = ./outputs

SHELL_TESTS   = ${wildcard ${SHELL_TSTDIR}/*.sh}
SHELL_BASES   = ${notdir ${SHELL_TESTS}}
SHELL_OUTPUTS = ${addprefix ${SHELL_OUTDIR}/, ${SHELL_BASES:%.sh=%.out}}
SHELL_DIFFS   = ${addprefix ${SHELL_OUTDIR}/, ${SHELL_BASES:%.sh=%.diff}}

#------------------------------------------------------------------------------

.PHONY: out outputs test tests alltests check

out outputs: ${RES_FILES} ${TST_OUTPUTS} ${SHELL_OUTPUTS}

# Sorting the diff files to achieve proper test ordering
ALL_DIFFS = ${sort ${DIFF_FILES} ${TST_DIFFS} ${SHELL_DIFFS}}
test tests alltests check: ${ALL_DIFFS}

${RES_FILES}: ${EXE_FILES}
${DIFF_FILES}: ${EXE_FILES}

${OUTPUT_DIR}/%.diff: ${TEST_DIR}/%${EXT} ${TEST_DIR}/%${OPT_EXT}
	-@printf "%-30s " "$*:" ; \
	./$(shell echo $* | sed -e 's/_[0-9]*$$//') ${TEST_OPTIONS} \
		${TEST_OPTIONS} \
		$(shell grep -v '^#' ${word 2, $^}) \
		$< 2>&1 \
	| diff ${OUTPUT_DIR}/$*.out - > $@ ; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

${OUTPUT_DIR}/%.out: ${TEST_DIR}/%${EXT} ${TEST_DIR}/%${OPT_EXT}
	-@test -f $@ || echo "$@:"
	-@test -f $@ || \
	./$(shell echo $* | sed -e 's/_[0-9]*$$//') \
		${TEST_OPTIONS} \
		$(shell grep -v '^#' ${word 2, $^}) \
		$< 2>&1 \
	| tee $@
	-@touch $@

${OUTPUT_DIR}/%.diff: ${TEST_DIR}/%${EXT}
	-@printf "%-30s " "$*:" ; \
	./$(shell echo $* | sed -e 's/_[0-9]*$$//') \
		${TEST_OPTIONS} \
		$<  2>&1 \
	| diff ${OUTPUT_DIR}/$*.out - > $@ ; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

${OUTPUT_DIR}/%.out: ${TEST_DIR}/%${EXT}
	-@test -f $@ || echo "$@:"
	-@test -f $@ || \
	./$(shell echo $* | sed -e 's/_[0-9]*$$//') \
		${TEST_OPTIONS} \
		$< 2>&1 \
	| tee $@
	-@touch $@

${TST_OUT_DIR}/%.out: ${TST_EXE_DIR}/%
	-@test -f $@ || echo "$@:"
	-@test -f $@ || $< 2>&1 | tee $@
	-@touch $@

${TST_OUT_DIR}/%.diff: ${TST_EXE_DIR}/%
	-@printf "%-30s " "$*:" ; \
	./$< 2>&1 | diff ${TST_OUT_DIR}/$*.out - > $@ ; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

.PHONY: shoutputs shout shtests shtest

${SHELL_DIFFS}: ${EXE_FILES}

shoutputs shout: ${SHELL_OUTPUTS}

shtest shtests: ${SHELL_DIFFS}

${SHELL_OUTDIR}/%.out: ${SHELL_TSTDIR}/%.sh ${TARGET}
	-@test -f $@ || echo "$@:"
	-@test -f $@ || $< ./${TARGET} 2>&1 | tee $@
	-@touch $@

${SHELL_OUTDIR}/%.diff: ${SHELL_TSTDIR}/%.sh ${TARGET}
	-@printf "%-30s " "$*:" ; \
	$< ./${TARGET} 2>&1 | diff ${SHELL_OUTDIR}/$*.out - > $@ ; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

.PHONY: listdiff

listdiff: # test
	@find ${OUTPUT_DIR} ${TST_OUT_DIR} ${SHELL_OUTDIR} -name '*.diff' -size +0 \
	| sort -u | xargs --no-run-if-empty ls -l

#------------------------------------------------------------------------------

.PHONY: benchmark benchmarks bench

BENCH_DIR    = ./benchmarks
ARCH_TYPE    = ${shell uname -m}
BENCH_FILE   = ${BENCH_DIR}/times-${ARCH_TYPE}.dat
SIZE_FILE    = ${BENCH_DIR}/sizes-${ARCH_TYPE}.dat
BENCH_INPUTS = ${wildcard ${BENCH_DIR}/*${EXT}}

benchmarks benchmark bench: ${BENCH_FILE} ${SIZE_FILE}

${BENCH_FILE}: ${TARGET} ${BENCH_INPUTS}
	date | tee $@
	uname -srm | tee -a $@
	if [ -f /proc/cpuinfo ]; then \
	awk -F: '/^model name/{print $$2}' /proc/cpuinfo \
		| sed -e 's/^ *//g; s/ *$$//g' \
		| tee -a $@; \
	fi
	${CCVER} --version | head -n 1 | tee -a $@
	for i in ${BENCH_DIR}/*${EXT}; \
	do \
	    printf "%-20s " `basename $$i` ; \
	    printf "%s %-11s " \
	        `bash -c "time ./$< ${TEST_OPTIONS} $$i > /dev/null" 2>&1` \
		| awk '{print $$1, $$2}' ; \
	done | tee -a $@

${SIZE_FILE}: ${TARGET} ${BENCH_INPUTS}
	date | tee $@
	uname -srm | tee -a $@
	${CCVER} --version | head -n 1 | tee -a $@
	for i in ${BENCH_DIR}/*${EXT}; \
	do \
	    printf "%-20s " `basename $$i` ; \
	    printf "%4d\n" `./$< ${SIZE_OPTIONS} $$i 2> /dev/null | wc -l` ; \
	done | tee -a $@

=== src/externals/cexceptions/Makefile ===
#---*- Makefile -*-------------------------------------------------------------
#$Author: antanas $
#$Revision: 8851 $
#$Date: 2021-08-02 15:43:26 +0300 (Mon, 02 Aug 2021) $
#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.6.0/src/externals/cexceptions/Makefile $
#------------------------------------------------------------------------------

MAKECONF_FILES = $(sort \
	$(filter-out %.example, $(filter-out %~, $(wildcard Makeconf*))) \
	$(patsubst %.example, %, $(wildcard Makeconf*.example)))

ifneq ("${MAKECONF_FILES}","")
include ${MAKECONF_FILES}
endif

#------------------------------------------------------------------------------
# The following variables, assigned with the '?=' assignment, can be
# overriden in Makeconfig* files:

SO_MAJOR ?= 0
SO_MINOR ?= 01

SO_VERSION ?= ${SO_MAJOR}.${SO_MINOR}

#------------------------------------------------------------------------------

PWD         ?= ${shell pwd}
PACKAGE     ?= ${notdir ${PWD}}
LIBNAME     ?= ${addprefix lib, ${PACKAGE}}

DATE        ?= ${shell date +%Y.%m.%d}
PREFIX      ?= ${HOME}/install/${PACKAGE}/${PACKAGE}-${SO_VERSION}-${DATE}
INCLUDE_DIR ?= ${PREFIX}/include
LIB_DIR     ?= ${PREFIX}/lib

#------------------------------------------------------------------------------

## EXTRA_INC_DIRS = ${HOME}/include
## EXTRA_LIB_DIRS = ${HOME}/lib

EXTRA_INC_DIRS ?= ../cexceptions
EXTRA_LIB_DIRS ?= ../cexceptions/lib

EXTRA_INC_CFLAGS  ?= ${addprefix -I, ${EXTRA_INC_DIRS}}
EXTRA_LIB_LDFLAGS ?= ${addprefix -L, ${EXTRA_LIB_DIRS}}

EXTRA_CFLAGS ?= -DHAS_VSNPRINTF

# End of Makeconfig variables.
#------------------------------------------------------------------------------

OBJ_DIR = obj

LIB_PRG = ${wildcard programs/*.c}
LIB_SRC = ${wildcard *.c}
LIB_OBJ = ${LIB_SRC:%.c=${OBJ_DIR}/%.o}
LIB_DEP = ${LIB_PRG:programs/%.c=programs/.%.d} \
          ${LIB_SRC:%.c=.%.d} 

TEST_PRG = ${wildcard tests/programs/*.c}
TEST_SRC = ${wildcard tests/*.c}
TEST_OBJ = ${TEST_SRC:tests/%.c=${OBJ_DIR}/%.o}
TEST_DEP = ${TEST_PRG:tests/programs/%.c=tests/programs/.%.d} \
           ${TEST_SRC:tests/%.c=tests/.%.d}
TEST_DIF = ${TEST_PRG:tests/programs/%.c=outputs/%.diff}

DEPEND = ${LIB_DEP} ${TEST_DEP}

LIBS  = lib/${LIBNAME}.a lib/${LIBNAME}.so.${SO_VERSION}
PROGS = ${LIB_PRG:programs/%.c=bin/%} \
        ${TEST_PRG:tests/programs/%.c=bin/%}

TARGETS = ${LIBS} ${PROGS}

CFLAGS  = -g -Wall -I. -I./tests ${EXTRA_CFLAGS} ${EXTRA_INC_CFLAGS} -fPIC
LFLAGS  = -lm -lcexceptions
LDFLAGS =  ${EXTRA_LIB_LDFLAGS}

#------------------------------------------------------------------------------

.PHONY: all build install test tests check clean cleanAll distclean

.PRECIOUS: ${OBJ_DIR}/%.o

#------------------------------------------------------------------------------

all: build

build: ${TARGETS}

# The 'Makeconfig' file will be produced automatically if it is absent
# from the 'Makeconfig.example' in the repository, and is ment to be
# edited by hand to suite the local build environment. When the
# 'Makeconfig.example' is changed, the rule below will attempt to
# transfer the changes to the edited 'Makeconfig' file with the help
# of the 'patch' command. It assumes that the 'Makeconfig.example' is
# maintained using Subversion; for other version control systems the
# rule will have to be changed:

Makeconfig: Makeconfig.example
	if [ -f $@ ]; then \
		cp $@ $@~; \
		svn diff -c$$(svnversion|sed 's/[^0-9]//g') $< \
		| patch -p0 $@; \
		touch $@; \
	else \
		cp -v $< $@; \
	fi

MAKELOCAL_FILES = ${filter-out %~, ${wildcard Makelocal*}}

ifneq ("${MAKELOCAL_FILES}","")
include ${MAKELOCAL_FILES}
endif

include ${DEPEND}

#------------------------------------------------------------------------------

${OBJ_DIR}/%.o: %.c
	${CC} ${CFLAGS} -c $< -o $@

${OBJ_DIR}/%.o: tests/%.c
	${CC} ${CFLAGS} -c $< -o $@

bin/%: programs/%.c ${filter %.a, ${LIBS}}
	${CC} ${CFLAGS} ${LDFLAGS} $^ -o $@ ${LFLAGS}

bin/%: tests/programs/%.c ${TEST_OBJ} ${filter %.a, ${LIBS}}
	${CC} ${CFLAGS} ${LDFLAGS} $^ -o $@ ${LFLAGS}

lib/%.a: ${LIB_OBJ}
	${AR} cr $@ $^

lib/%.so.${SO_VERSION}: ${LIB_OBJ}
	${CC} -shared -Xlinker -soname=$*.so.${SO_MAJOR} -o $@ $^

.%.d: %.c
	${CC} ${CFLAGS} -M -MG  $< > $@

#------------------------------------------------------------------------------

check test tests: ${TEST_DIF}

outputs/%.diff: bin/% outputs/%.out
	-@printf "%-30s " "$*:" ; \
	./$< 2>&1 | diff outputs/$*.out - > $@; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

.PHONY: listdiff

listdiff:
	@find outputs -name '*.diff' -size +0 \
	| sort -u | xargs --no-run-if-empty ls -l

#------------------------------------------------------------------------------

install: ${LIBS}
	mkdir -p ${INCLUDE_DIR}
	mkdir -p ${LIB_DIR}
	cp *.h ${INCLUDE_DIR}
	cp ${LIBS} ${LIB_DIR}
	ln -fs ${LIBNAME}.so.${SO_VERSION} ${LIB_DIR}/${LIBNAME}.so.${SO_MAJOR}
	ln -fs ${LIBNAME}.so.${SO_MAJOR}   ${LIB_DIR}/${LIBNAME}.so

#------------------------------------------------------------------------------

clean:
	rm -f *~
	rm -f ${LIB_OBJ}
	rm -f ${TEST_OBJ}

distclean cleanAll: clean
	rm -f ${TARGETS}
	rm -f ${DEPEND}
	rm -f ${TEST_DIF}

=== src/externals/getoptions/Makefile ===
#---*- Makefile -*-------------------------------------------------------------
#$Author: antanas $
#$Revision: 8841 $
#$Date: 2021-07-30 20:10:23 +0300 (Fri, 30 Jul 2021) $
#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.6.0/src/externals/getoptions/Makefile $
#------------------------------------------------------------------------------

MAKECONF_FILES = $(sort \
	$(filter-out %.example, $(filter-out %~, $(wildcard Makeconf*))) \
	$(patsubst %.example, %, $(wildcard Makeconf*.example)))

ifneq ("${MAKECONF_FILES}","")
include ${MAKECONF_FILES}
endif

#------------------------------------------------------------------------------
# The following variables, assigned with the '?=' assignment, can be
# overriden in Makeconfig* files:

SO_MAJOR ?= 0
SO_MINOR ?= 01

SO_VERSION ?= ${SO_MAJOR}.${SO_MINOR}

#------------------------------------------------------------------------------

PWD         ?= ${shell pwd}
PACKAGE     ?= ${notdir ${PWD}}
LIBNAME     ?= ${addprefix lib, ${PACKAGE}}

DATE        ?= ${shell date +%Y.%m.%d}
PREFIX      ?= ${HOME}/install/${PACKAGE}/${PACKAGE}-${SO_VERSION}-${DATE}
INCLUDE_DIR ?= ${PREFIX}/include
LIB_DIR     ?= ${PREFIX}/lib

#------------------------------------------------------------------------------

## EXTRA_INC_DIRS = ${HOME}/include
## EXTRA_LIB_DIRS = ${HOME}/lib

EXTRA_INC_DIRS ?= ../cexceptions
EXTRA_LIB_DIRS ?= ../cexceptions/lib

EXTRA_INC_CFLAGS  ?= ${addprefix -I, ${EXTRA_INC_DIRS}}
EXTRA_LIB_LDFLAGS ?= ${addprefix -L, ${EXTRA_LIB_DIRS}}

# End of Makeconfig variables.
#------------------------------------------------------------------------------

OBJ_DIR = obj

LIB_PRG = ${wildcard programs/*.c}
LIB_SRC = ${wildcard *.c}
LIB_OBJ = ${LIB_SRC:%.c=${OBJ_DIR}/%.o}
LIB_DEP = ${LIB_PRG:programs/%.c=programs/.%.d} \
          ${LIB_SRC:%.c=.%.d} 

TEST_PRG = ${wildcard tests/programs/*.c}
TEST_SRC = ${wildcard tests/*.c}
TEST_OBJ = ${TEST_SRC:tests/%.c=${OBJ_DIR}/%.o}
TEST_DEP = ${TEST_PRG:tests/programs/%.c=tests/programs/.%.d} \
           ${TEST_SRC:tests/%.c=tests/.%.d}

# Individual test cases:

TEST_CASE_DIR ?= tests
TEST_OUTP_DIR ?= outputs

## TEST_DIF = ${TEST_PRG:tests/programs/%.c=${TEST_OUTP_DIR}/%.diff}

TEST_CASES = $(wildcard ${TEST_CASE_DIR}/*.sh)
TEST_DIFFS = ${TEST_CASES:${TEST_CASE_DIR}/%.sh=${TEST_OUTP_DIR}/%.diff}
TEST_OUTPS = ${TEST_CASES:${TEST_CASE_DIR}/%.sh=${TEST_OUTP_DIR}/%.out}

DEPEND = ${LIB_DEP} ${TEST_DEP}

LIBS  = lib/${LIBNAME}.a lib/${LIBNAME}.so.${SO_VERSION}
PROGS = ${LIB_PRG:programs/%.c=bin/%} \
        ${TEST_PRG:tests/programs/%.c=tests/bin/%}

TARGETS = ${LIBS} ${PROGS}

CFLAGS  = -g -Wall -I. ${EXTRA_INC_CFLAGS} -fPIC
LFLAGS  = -lm -lcexceptions
LDFLAGS =  ${EXTRA_LIB_LDFLAGS}

#------------------------------------------------------------------------------

.PHONY: all install test tests check out output outputs
.PHONY: clean cleanAll distclean

.PRECIOUS: ${OBJ_DIR}/%.o

#------------------------------------------------------------------------------

all: ${TARGETS}

# The 'Makeconfig' file will be produced automatically if it is absent
# from the 'Makeconfig.example' in the repository, and is ment to be
# edited by hand to suite the local build environment. When the
# 'Makeconfig.example' is changed, the rule below will attempt to
# transfer the changes to the edited 'Makeconfig' file with the help
# of the 'patch' command. It assumes that the 'Makeconfig.example' is
# maintained using Subversion; for other version control systems the
# rule will have to be changed:

Makeconfig: Makeconfig.example
	if [ -f $@ ]; then \
		cp $@ $@~; \
		svn diff -c$$(svnversion|sed 's/[^0-9]//g') $< \
		| patch -p0 $@; \
		touch $@; \
	else \
		cp -v $< $@; \
	fi

MAKELOCAL_FILES = ${filter-out %~, ${wildcard Makelocal*}}

ifneq ("${MAKELOCAL_FILES}","")
include ${MAKELOCAL_FILES}
endif

include ${DEPEND}

#------------------------------------------------------------------------------
# Generate %.diff file dependencies from their respcetive scripts:

include .diff.depend

ALL_INPUTS = ${TEST_CASES}

.diff.depend: ${ALL_INPUTS}
	@perl -l \
		-e 'for (@ARGV) {' \
		-e '    if ( m|/(.*?)_(\d{2,4})\.\w{1,3}$$| ) {' \
		-e '        print "${TEST_OUTP_DIR}/" . $$1 . "_" . $$2 . ".diff: "' \
		-e '            . "tests/bin/" . $$1 ' \
		-e '    }' \
		-e '}' \
	$^ \
	| sort | uniq \
	> $@

#------------------------------------------------------------------------------

${OBJ_DIR}/%.o: %.c
	${CC} ${CFLAGS} -c $< -o $@

${OBJ_DIR}/%.o: tests/%.c
	${CC} ${CFLAGS} -c $< -o $@

bin/%: programs/%.c ${filter %.a, ${LIBS}}
	${CC} ${CFLAGS} ${LDFLAGS} $^ -o $@ ${LFLAGS}

tests/bin/%: tests/programs/%.c ${TEST_OBJ} ${filter %.a, ${LIBS}}
	${CC} ${CFLAGS} ${LDFLAGS} $^ -o $@ ${LFLAGS}

lib/%.a: ${LIB_OBJ}
	${AR} cr $@ $^

lib/%.so.${SO_VERSION}: ${LIB_OBJ}
	${CC} -shared -Xlinker -soname=$*.so.${SO_MAJOR} -o $@ $^

.%.d: %.c
	${CC} ${CFLAGS} -M -MG  $< > $@

#------------------------------------------------------------------------------

check test tests: ${TEST_DIFFS}

out output outputs: ${TEST_OUTPS}

${TEST_OUTP_DIR}/%.diff: ${TEST_CASE_DIR}/%.sh ${TEST_OUTP_DIR}/%.out
	-@printf "%-30s " "$*:" ; \
	./$< 2>&1 | diff outputs/$*.out - > $@; \
	if [ $$? = 0 ]; then echo "OK"; else echo "FAILED:"; cat $@; fi

${TEST_OUTP_DIR}/%.out: ${TEST_CASE_DIR}/%.sh
	@test -f $@ || ./$< 2>&1 | tee $@
	@test -f $@ && touch $@

listdiff:
	@find ${TEST_OUTP_DIR} -name '*.diff' -size +0 \
	| sort -u | xargs --no-run-if-empty ls -l

#------------------------------------------------------------------------------

install: ${LIBS}
	mkdir -p ${INCLUDE_DIR}
	mkdir -p ${LIB_DIR}
	cp *.h ${INCLUDE_DIR}
	cp ${LIBS} ${LIB_DIR}
	ln -fs ${LIBNAME}.so.${SO_VERSION} ${LIB_DIR}/${LIBNAME}.so.${SO_MAJOR}
	ln -fs ${LIBNAME}.so.${SO_MAJOR}   ${LIB_DIR}/${LIBNAME}.so

#------------------------------------------------------------------------------

clean:
	rm -f ${TEST_DIFFS}
	rm -f *~
	rm -f .diff.depend
	rm -f ${LIB_OBJ}
	rm -f ${TEST_OBJ}

distclean cleanAll: clean
	rm -f ${TARGETS}
	rm -f ${DEPEND}

=== debian/changelog ===
cod-tools (3.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.6.0+dfsg
  * Mark disable-test-network-access.patch as not needing forwarding.
  * Perform tests with libchemistry-opensmiles-perl.

 -- Andrius Merkys <merkys@debian.org>  Thu, 25 Aug 2022 01:14:53 -0400

=== debian/control ===
Source: cod-tools
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 bison,
 debhelper-compat (= 12),
 dh-python,
 gawk,
 libchemistry-opensmiles-perl <!nocheck>,
 libclone-perl <!nocheck>,
 libdata-compare-perl <!nocheck>,
 libdate-calc-perl <!nocheck>,
 libdatetime-format-rfc3339-perl <!nocheck>,
 libdbd-mysql-perl <!nocheck>,
 libdbd-sqlite3-perl <!nocheck>,
 libdbi-perl <!nocheck>,
 libdigest-sha-perl <!nocheck>,
 libgraph-perl <!nocheck>,
 libgraph-nauty-perl <!nocheck>,
 libhtml-parser-perl <!nocheck>,
 libjson-perl <!nocheck>,
 liblist-moreutils-perl,
 libmodule-scandeps-perl,
 libparse-yapp-perl,
 libsymspg-dev,
 libtext-diff-perl <!nocheck>,
 libtext-unidecode-perl <!nocheck>,
 libwww-curl-perl <!nocheck>,
 libxml-simple-perl <!nocheck>,
 moreutils,
 perl,
 python3-all-dev,
 python3-dev,
 python3-setuptools,
 swig,
 tree <!nocheck>,
Standards-Version: 4.6.0
Section: science
Vcs-Git: https://salsa.debian.org/science-team/cod-tools.git
Vcs-Browser: https://salsa.debian.org/science-team/cod-tools
Homepage: https://wiki.crystallography.net/cod-tools
Rules-Requires-Root: no

Package: cod-tools
Architecture: any
Depends:
 curl,
 gawk,
 libclone-perl,
 libcod-tools-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libdigest-sha-perl,
 libgraph-nauty-perl,
 libhtml-parser-perl,
 libjson-perl,
 liblist-moreutils-perl,
 libwww-curl-perl,
 libxml-simple-perl,
 openbabel,
 perl,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: tools for manipulating CIF format files
 cod-tools is a set of Perl modules and command line tools for
 manipulating Crystallographic Information Format (CIF) v1.1 and v2.0
 files.

Package: libcexceptions-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcexceptions0 (= ${binary:Version}),
 ${misc:Depends},
Description: C exception handling library (development files)
 Wrappers for C functions, allowing usage of try ... catch ... blocks
 in C language. Wrapped functions include memory allocation, standard
 I/O and strdup.
 .
 This package contains static library and header files.

Package: libcexceptions0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C exception handling library
 Wrappers for C functions, allowing usage of try ... catch ... blocks
 in C language. Wrapped functions include memory allocation, standard
 I/O and strdup.

Package: libcod-tools-perl
Section: perl
Architecture: any
Depends:
 libclone-perl,
 libdata-compare-perl,
 libdate-calc-perl,
 libdatetime-format-rfc3339-perl,
 libdbi-perl,
 libdigest-sha-perl,
 libhtml-parser-perl,
 libjson-perl,
 liblist-moreutils-perl,
 libparse-yapp-perl,
 libtext-unidecode-perl,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 cod-tools (<< 3),
 libcod-cif-parser-bison-perl,
 libcod-cif-parser-yapp-perl,
 libcod-precision-perl,
 libcod-usermessage-perl,
Replaces:
 cod-tools (<< 3),
 libcod-cif-parser-bison-perl,
 libcod-cif-parser-yapp-perl,
 libcod-precision-perl,
 libcod-usermessage-perl,
Description: tools for manipulating CIF format files - Perl modules
 cod-tools is a set of Perl modules and command line tools for
 manipulating Crystallographic Information Format (CIF) v1.1 and v2.0
 files.
 .
 This package contains Perl modules.

Package: libcodcif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcodcif3 (= ${binary:Version}),
 ${misc:Depends},
Description: error-correcting CIF parser - headers and static libraries
 Parser for Crystallographic Information Format (CIF) v1.1 and v2.0,
 written in C language. A CIF format file is represented by an array
 of data blocks, where each data block is represented by a CIF struct.
 .
 This package contains static library and header files.

Package: libcodcif3
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libcexceptions0 (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: error-correcting CIF parser - shared library
 Parser for Crystallographic Information Format (CIF) v1.1 and v2.0,
 written in C language. A CIF format file is represented by an array
 of data blocks, where each data block is represented by a CIF struct.

Package: libgetoptions-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgetoptions0 (= ${binary:Version}),
 ${misc:Depends},
Description: Command line argument processing library for C (development files)
 C library for processing GNU-like command line options. The library
 uses C the exception handling library and is used for developing
 programs using codcif, an error-correcting Crystallographic Information
 Format (CIF) parser.
 .
 This package contains static library and header files.

Package: libgetoptions0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libcexceptions0 (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Command line argument processing library for C
 C library for processing GNU-like command line options. The library
 uses C the exception handling library and is used for developing
 programs using codcif, an error-correcting Crystallographic Information
 Format (CIF) parser.

Package: python3-pycodcif
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
XB-Python-Version: ${python3:Versions}
Provides:
 ${python3:Provides},
Description: error-correcting CIF parser - Python3 bindings
 Python bindings for Crystallographic Information Format (CIF) v1.1
 and v2.0 parser, which is written in C language, and developed by the
 Crystallography Open Database. A CIF format file is represented by a
 list of data blocks, where each data block is represented by a
 dictionary.
 .
 This package installs the library for Python 3.

## cod-tools 3.7.0+dfsg

=== src/components/codcif/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: andrius $
 #$Revision: 7632 $
 #$Date: 2019-12-27 15:36:40 +0200 (Fri, 27 Dec 2019) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.6.0/src/components/codcif/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.7.0/src/components/codcif/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = ${filter-out %~, ${wildcard Makeconf*}}

=== src/externals/cexceptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 8851 $
 #$Date: 2021-08-02 15:43:26 +0300 (Mon, 02 Aug 2021) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.6.0/src/externals/cexceptions/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.7.0/src/externals/cexceptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== src/externals/getoptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 8841 $
 #$Date: 2021-07-30 20:10:23 +0300 (Fri, 30 Jul 2021) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.6.0/src/externals/getoptions/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.7.0/src/externals/getoptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== debian/changelog ===
cod-tools (3.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.0+dfsg
  * Refresh patches.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Mon, 26 Sep 2022 02:22:07 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
  bison,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  gawk,
  libchemistry-opensmiles-perl <!nocheck>,
@@ -36,7 +36,7 @@
  python3-setuptools,
  swig,
  tree <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: science
 Vcs-Git: https://salsa.debian.org/science-team/cod-tools.git
 Vcs-Browser: https://salsa.debian.org/science-team/cod-tools

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pycodcif
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PERL_VENDORARCH = $(shell perl -wle 'use Config; print $$Config{vendorarch}')

%:
	dh $@ --with python3 --no-parallel

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/tmp/usr
	dh_auto_install -O--buildsystem=pybuild -- --dir src/components/pycodcif

override_dh_install-arch:
	mkdir --parents debian/tmp/$(PERL_VENDORARCH)/COD/CIF/Parser
	mv debian/tmp/usr/lib/perl5/auto debian/tmp/$(PERL_VENDORARCH)
	mv debian/tmp/usr/lib/perl5/COD/SPGLib.pm debian/tmp/$(PERL_VENDORARCH)/COD
	mv debian/tmp/usr/lib/perl5/COD/CIF/Parser/Bison.pm debian/tmp/$(PERL_VENDORARCH)/COD/CIF/Parser
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pybuild tmp-*

## cod-tools 3.8.0+dfsg

=== src/components/codcif/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #---*- Makefile -*-------------------------------------------------------------
-#$Author: andrius $
-#$Revision: 7632 $
-#$Date: 2019-12-27 15:36:40 +0200 (Fri, 27 Dec 2019) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.7.0/src/components/codcif/Makefile $
+#$Author: antanas $
+#$Revision: 9580 $
+#$Date: 2023-05-15 19:28:46 +0300 (Mon, 15 May 2023) $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.0/src/components/codcif/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = ${filter-out %~, ${wildcard Makeconf*}}
@@ -52,7 +52,12 @@
 
 VFILE = .version
 
-VERSION  := $(shell grep -v "^\#" ${VFILE})
+# The '^\#' is used instead of '^#' to circumvent a bug in older versions of
+# Make (e.g GNU Make 4.2.1). However, the '^\#' sequence also causes a warning
+# about a stray backslash in newer versions of grep (e.g. GNU grep 3.8) unless
+# the -P option is used. Alternatively, the following Perl program may be used:
+## VERSION := $(shell perl -n -e 'print unless /^\#/;' $(VFILE))
+VERSION := $(shell grep -v -P '^\#' $(VFILE))
 SO_MAJOR := $(shell echo ${VERSION} | cut -d . -f 1)
 SO_MINOR := $(shell echo ${VERSION} | cut -d . -f 2-)
 
@@ -381,15 +386,3 @@
 	    printf "%s %-11s " \
 	        `bash -c "time ./$< ${TEST_OPTIONS} $$i > /dev/null" 2>&1` \
 		| awk '{print $$1, $$2}' ; \
-	done | tee -a $@
-
-${SIZE_FILE}: ${TARGET} ${BENCH_INPUTS}
-	date | tee $@
-	uname -srm | tee -a $@
-	${CCVER} --version | head -n 1 | tee -a $@
-	for i in ${BENCH_DIR}/*${EXT}; \
-	do \
-	    printf "%-20s " `basename $$i` ; \
-	    printf "%4d\n" `./$< ${SIZE_OPTIONS} $$i 2> /dev/null | wc -l` ; \
-	done | tee -a $@
-

=== src/externals/cexceptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 8851 $
 #$Date: 2021-08-02 15:43:26 +0300 (Mon, 02 Aug 2021) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.7.0/src/externals/cexceptions/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.0/src/externals/cexceptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== src/externals/getoptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 8841 $
 #$Date: 2021-07-30 20:10:23 +0300 (Fri, 30 Jul 2021) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.7.0/src/externals/getoptions/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.0/src/externals/getoptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== debian/changelog ===
cod-tools (3.8.0+dfsg-1~build1) noble; urgency=medium

  * Upload to noble

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Nov 2023 17:26:35 +0100

cod-tools (3.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.8.0+dfsg (Closes: #1055896)
  * Refresh debian/copyright.
  * Refresh patches.
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Nov 2023 08:51:31 -0500

## cod-tools 3.8.1+dfsg

=== src/components/codcif/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 9580 $
 #$Date: 2023-05-15 19:28:46 +0300 (Mon, 15 May 2023) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.0/src/components/codcif/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.1/src/components/codcif/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = ${filter-out %~, ${wildcard Makeconf*}}

=== src/externals/cexceptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 8851 $
 #$Date: 2021-08-02 15:43:26 +0300 (Mon, 02 Aug 2021) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.0/src/externals/cexceptions/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.1/src/externals/cexceptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== src/externals/getoptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 8841 $
 #$Date: 2021-07-30 20:10:23 +0300 (Fri, 30 Jul 2021) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.0/src/externals/getoptions/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.1/src/externals/getoptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== debian/changelog ===
cod-tools (3.8.1+dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:51:16 +0000

cod-tools (3.8.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:33:39 +0100

cod-tools (3.8.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 03:49:32 +0100

cod-tools (3.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.8.1+dfsg
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Jan 2024 03:43:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: cod-tools
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
@@ -17,8 +18,8 @@
  libdbd-sqlite3-perl <!nocheck>,
  libdbi-perl <!nocheck>,
  libdigest-sha-perl <!nocheck>,
+ libgraph-nauty-perl <!nocheck>,
  libgraph-perl <!nocheck>,
- libgraph-nauty-perl <!nocheck>,
  libhtml-parser-perl <!nocheck>,
  libjson-perl <!nocheck>,
  liblist-moreutils-perl,
@@ -36,7 +37,7 @@
  python3-setuptools,
  swig,
  tree <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: science
 Vcs-Git: https://salsa.debian.org/science-team/cod-tools.git
 Vcs-Browser: https://salsa.debian.org/science-team/cod-tools

## cod-tools 3.9.0+dfsg

=== src/components/codcif/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 9580 $
 #$Date: 2023-05-15 19:28:46 +0300 (Mon, 15 May 2023) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.1/src/components/codcif/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.9.0/src/components/codcif/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = ${filter-out %~, ${wildcard Makeconf*}}

=== src/externals/cexceptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 8851 $
 #$Date: 2021-08-02 15:43:26 +0300 (Mon, 02 Aug 2021) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.1/src/externals/cexceptions/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.9.0/src/externals/cexceptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== src/externals/getoptions/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #$Author: antanas $
 #$Revision: 8841 $
 #$Date: 2021-07-30 20:10:23 +0300 (Fri, 30 Jul 2021) $
-#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.8.1/src/externals/getoptions/Makefile $
+#$URL: svn+ssh://www.crystallography.net/home/coder/svn-repositories/cod-tools/tags/v3.9.0/src/externals/getoptions/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = $(sort \

=== debian/changelog ===
cod-tools (3.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.9.0+dfsg

 -- Andrius Merkys <merkys@debian.org>  Mon, 25 Mar 2024 03:48:55 -0400

## cod-tools 3.10.0%2Bdfsg

=== debian/changelog ===
cod-tools (3.10.0+dfsg-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:41:51 +0000

cod-tools (3.10.0+dfsg-3) unstable; urgency=medium

  * Skip a pair of tests tightly depending on the version of Graph::Nauty.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 04 Feb 2025 07:55:23 -0500

cod-tools (3.10.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  [ Aurelien Jarno ]
  * Use absolute path to build the manpages. Closes: #1082747.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Sep 2024 21:35:00 +0200

cod-tools (3.10.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "autopkgtest regression with Perl 5.40: Attempt to call
    undefined import method with arguments": add patch from Niko Tyni to fix
    Exporter(3pm) usage.
    (Closes: #1078097)

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Sep 2024 23:31:52 +0200

cod-tools (3.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.10.0+dfsg

 -- Andrius Merkys <merkys@debian.org>  Thu, 30 May 2024 01:59:28 -0400
